Bug 1734144 - iscsi initiatorname.iscsi generated statically on image based systems [NEEDINFO]
Summary: iscsi initiatorname.iscsi generated statically on image based systems
Keywords:
Status: NEW
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: iscsi-initiator-utils
Version: 8.0
Hardware: Unspecified
OS: Linux
medium
medium
Target Milestone: rc
: 8.0
Assignee: Chris Leech
QA Contact: Martin Hoyer
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-29 18:15 UTC by Steve Milner
Modified: 2021-02-01 14:31 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-01 07:44:09 UTC
Type: Bug
Target Upstream Version:
smilner: needinfo? (cleech)
smilner: needinfo? (cleech)
smilner: needinfo? (cleech)


Attachments (Terms of Use)

Description Steve Milner 2019-07-29 18:15:49 UTC
Description of problem:

When using an image based system system the initiatorname.iscsi is the same across all who use the compose. Due to this, RHCOS (rpm-ostree based) removes initiatorname.iscsi and attempts to create it on first boot (https://bugzilla.redhat.com/show_bug.cgi?id=1687722#c7). However, this causes iscsid in initramfs to fail due to the missing file.

Version-Release number of selected component (if applicable):

- latest released iscsi-initiator-utils for RHEL 8
- latest OCP/RHCOS 4.1 and dev


How reproducible:

Every time iscsi starts up in the initramfs

Steps to Reproduce:
1. Boot RHCOS
2. See the failure in the journal


Actual results:

Jul 29 17:37:12 localhost systemd[1]: Starting Open-iSCSI...
Jul 29 17:37:12 localhost iscsid[604]: iSCSI logger with pid=606 started!
Jul 29 17:37:12 localhost systemd[1]: Started Open-iSCSI.
Jul 29 17:37:13 localhost iscsid[606]: iSCSI daemon with pid=607 started!
Jul 29 17:37:13 localhost iscsid[606]: can't open InitiatorName configuration file /etc/iscsi/initiatorname.iscsi
Jul 29 17:37:13 localhost iscsid[606]: Warning: InitiatorName file /etc/iscsi/initiatorname.iscsi does not exist or does not contain a properly formatted InitiatorName. If using software iscsi (iscsi_tcp or ib_iser) or partial offload (bnr...
Jul 29 17:37:13 localhost iscsid[606]: can't open InitiatorAlias configuration file /etc/iscsi/initiatorname.iscsi
Jul 29 17:37:16 coreos systemd[1]: Stopping Open-iSCSI...
Jul 29 17:37:16 coreos iscsid[606]: iscsid shutting down.
Jul 29 17:37:16 coreos systemd[1]: Stopped Open-iSCSI.


Expected results:

Generation of the missing file if it does not exist

Additional info:
- https://bugzilla.redhat.com/show_bug.cgi?id=1730391
- https://bugzilla.redhat.com/show_bug.cgi?id=1687722

Comment 8 Steve Milner 2020-11-24 15:53:06 UTC
This is still an issue that folks hit. Are there any updates?

Comment 13 RHEL Program Management 2021-02-01 07:44:09 UTC
After evaluating this issue, there are no plans to address it further or fix it in an upcoming release.  Therefore, it is being closed.  If plans change such that this issue will be fixed in an upcoming release, then the bug can be reopened.


Note You need to log in before you can comment on or make changes to this bug.